﻿using Dapper;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Data.SQLite;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CryptoCalc
{
    class DBInteraction
    {
        public static List<Transaction> LoadTransactions()
        {
            using IDbConnection _connection = new SQLiteConnection(Util.GetConnectionString());
            var output = _connection.Query<Transaction>("select * from RawData", new DynamicParameters());
            Debug.WriteLine("Loaded DB data");
            return output.ToList();
        }

        public static void SaveTransaction(Transaction transaction)
        {
            using IDbConnection cnn = new SQLiteConnection(Util.GetConnectionString());
            cnn.Execute("insert into RawData (Date_Year, Date_Month, Date_Day, Time_Hour, Time_Minute, Time_Second, DateTimeString, CryptoCurrency, Amount, TransactionType, Service, Comment) values (@Date_Year, @Date_Month, @Date_Day, @Time_Hour, @Time_Minute, @Time_Second, @DateTimeString, @CryptoCurrency, @Amount, @TransactionType, @Service, @Comment)", transaction);
            Debug.WriteLine("Saved DB data");
        }
    }
}
